ApplicationProfileReader (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.applicationprofile

## Class ApplicationProfileReader

- java.lang.Object
- - org.gcube.datatransfer.resolver.applicationprofile.ApplicationProfileReader

-     public class ApplicationProfileReader
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `RESOURCE_PROFILE_BODY_APP_ID_TEXT`
    `protected static String` | `RESOURCE_PROFILE_BODY_END_POINT_SCOPE_TEXT`
    `protected static String` | `RESOURCE_PROFILE_BODY_END_POINT_URL_TEXT`
    `protected static String` | `RESOURCE_PROFILE_BODY_TEXT`
    `protected static String` | `RESOURCE_PROFILE_BODY_THUMBNAIL_URL_TEXT`
    `protected static String` | `RESOURCE_PROFILE_DESCRIPTION_TEXT`
    `protected static String` | `RESOURCE_PROFILE_NAME_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationProfileReader(String scope, String secondaryType, String portletClassName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationProfile` | `getApplicationProfile()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RESOURCE_PROFILE_BODY_END_POINT_URL_TEXT

          protected static final String RESOURCE_PROFILE_BODY_END_POINT_URL_TEXT

      See Also:
        Constant Field Values

    - #### RESOURCE_PROFILE_BODY_END_POINT_SCOPE_TEXT

          protected static final String RESOURCE_PROFILE_BODY_END_POINT_SCOPE_TEXT

      See Also:
        Constant Field Values

    - #### RESOURCE_PROFILE_BODY_TEXT

          protected static final String RESOURCE_PROFILE_BODY_TEXT

      See Also:
        Constant Field Values

    - #### RESOURCE_PROFILE_BODY_THUMBNAIL_URL_TEXT

          protected static final String RESOURCE_PROFILE_BODY_THUMBNAIL_URL_TEXT

      See Also:
        Constant Field Values

    - #### RESOURCE_PROFILE_BODY_APP_ID_TEXT

          protected static final String RESOURCE_PROFILE_BODY_APP_ID_TEXT

      See Also:
        Constant Field Values

    - #### RESOURCE_PROFILE_DESCRIPTION_TEXT

          protected static final String RESOURCE_PROFILE_DESCRIPTION_TEXT

      See Also:
        Constant Field Values

    - #### RESOURCE_PROFILE_NAME_TEXT

          protected static final String RESOURCE_PROFILE_NAME_TEXT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ApplicationProfileReader

          public ApplicationProfileReader(String scope,
                                  String secondaryType,
                                  String portletClassName)

      Parameters:
        `scope` - - the scope to be searched
        `genericResource` - - the name of generic resource
        `portletClassName` - - the AppId of generic resource

  - ### Method Detail

    - #### getApplicationProfile

          public ApplicationProfile getApplicationProfile()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.